 program Rotcig

 use sep
 use cigrot1
 use parmrot
 use typerot

 implicit none

 real, allocatable			:: incig(:,:,:),outcig(:,:,:)

 call sep_init()
 call sep_begin_prog()

 open(unit=2,file="log.txt")
 call parms()

! call sogrot_init(npadz,npadx,npadh)

 allocate(incig(cig%z%n,cig%sh%n,cig%xm%n),outcig(cig%z%n,cig%sh%n,cig%xm%n))
 incig=0;outcig=0

 call sreed("in", incig, 4*cig%z%n*cig%sh%n*cig%xm%n)

 call sogrot(incig,outcig)

 call srite("out",outcig, 4*cig%z%n*cig%sh%n*cig%xm%n)
 
 deallocate(incig,outcig)

 call sep_end_prog()

 close(2)

 end program Rotcig
